package com.izouma.awesomeadmin.dao;

import java.util.*;
import com.izouma.awesomeadmin.datasource.DataSource;
import org.springframework.stereotype.Repository;
import com.izouma.awesomeadmin.model.AimPlacePositionLevel;


/**
*  Dao接口
*/
@Repository("com.zoumaframe.dao.AimPlacePositionLevelMapper")
public interface AimPlacePositionLevelMapper{

    int deleteByPrimaryKey(Integer id);

    int insertSelective(AimPlacePositionLevel record);

    AimPlacePositionLevel selectByPrimaryKey(Integer id);

    int updateByPrimaryKeySelective(AimPlacePositionLevel record);

    List<AimPlacePositionLevel> queryAllAimPlacePositionLevel(AimPlacePositionLevel record);

    List<AimPlacePositionLevel> queryAimPlacePositionLevelByPage(Map<String, Object> parameter);

    int delete(AimPlacePositionLevel record);

    AimPlacePositionLevel queryAimPlacePositionLevel(AimPlacePositionLevel record);

    List<AimPlacePositionLevel> query(AimPlacePositionLevel record);
}

